Name: dejagnu
Summary: A front end for testing other programs
Version: 1.6.1
Release: 5
Epoch: 1
License: GPLv3+
Source: ftp://ftp.gnu.org/gnu/dejagnu/dejagnu-%{version}.tar.gz
URL: http://www.gnu.org/software/dejagnu/

Requires: expect

BuildRequires: expect screen texinfo gcc-c++ gcc

BuildArch: noarch

%description
DejaGnu is an Expect/Tcl based framework for testing other programs.
DejaGnu has several purposes: to make it easy to write tests for any
program; to allow you to write tests which will be portable to any
host or target where a program must be tested; and to standardize the
output format of all tests (making it easier to integrate the testing
into software development).

%package_help

%prep
%autosetup -p1

%build
%configure -v

%check
TMP=`mktemp`
export SCREENDIR=`mktemp -d`
screen -D -m sh -c '(make check RUNTESTFLAGS="RUNTEST=`pwd`/runtest"; echo $?) >> '$TMP
RESULT=`tail -n 1 $TMP`
rm -rf $TMP $SCREENDIR
exit $RESULT

%install
%make_install
chmod a-x %{buildroot}/%{_datadir}/%{name}/runtest.exp
make DESTDIR=%{buildroot} install-man
install -D -m 644 doc/%{name}.info %{buildroot}/%{_infodir}/%{name}.info

%post
/sbin/install-info %{_infodir}/%{name}.info.gz --dir-file=%{_infodir}/dir &> /dev/null || :

%preun
[ $1 = 0 ] && /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir &> /dev/null || :

%files
%doc COPYING
%{_bindir}/runtest
%{_datadir}/%{name}
%{_includedir}/%{name}.h

%files help
%doc NEWS README AUTHORS ChangeLog
%doc doc/%{name}.texi
%{_mandir}/*/*
%{_infodir}/%{name}*
%exclude %{_infodir}/dir

%changelog
* Tue Dec 3 2019 caomeng<caomeng5@huawei.com> - 1:1.6.1-5
- Package init
